from flask import Flask, request
import asyncio

app = Flask(__name__)

async def process_request(data):
    # Perform processing tasks with the received data
    # Replace this with your own logic
    print(f"Processing data: {data}")

@app.route('/webhook', methods=['POST'])
def webhook():
    # Retrieve the JSON data from the request
    data = request.get_json()

    # Start the asynchronous processing of the request
    asyncio.create_task(process_request(data))

    # Return a response to the request
    return 'Request received'

if __name__ == '__main__':
    app.run()