import requests
import urllib.parse

def send_alert(token,channel,message):

    url = f"https://api.telegram.org/bot{token}/sendMessage"
    chat_id = channel
    text = message

    # Encode the text message using HTML formatting
    encoded_text = urllib.parse.quote_plus(text)

    # Construct the request URL with the encoded message
    formatted_url = f"{url}?chat_id={chat_id}&text={encoded_text}&parse_mode=HTML"

    # Send the request
    response = requests.get(formatted_url)
    #print(requests.get(url).json())
    return response